Bug 397966 - Tab character shown in clipboard preview is too messy
Summary: Tab character shown in clipboard preview is too messy
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Clipboard (show other bugs)
Version: 5.15.3
Platform: Archlinux Packages Linux
: NOR minor
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2018-08-28 05:25 UTC by Kishore Gopalakrishnan
Modified: 2022-06-23 17:37 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments
Screenshot showing the issue (14.42 KB, image/png)
2018-08-28 05:25 UTC, Kishore Gopalakrishnan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kishore Gopalakrishnan 2018-08-28 05:25:28 UTC
Created attachment 114646 [details]
Screenshot showing the issue

The symbol shown for the 'tab' character in the clipboard preview looks very messy due to the small font size used in the preview. This makes it difficult to tell at a glance what is actually there. Perhaps a different symbol for the tab character would be a good idea. For example, a single horizontal arrow pointing right (would this have to point left for right-to-left languages?) would convey the intended message, while being much more readable.
Comment 1 Bug Janitor Service 2020-10-06 21:07:57 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/breeze-icons/-/merge_requests/50
Comment 2 Noah Davis 2020-10-06 21:41:12 UTC
Git commit a7951945863a42225f8a8035dfa65135280cf61a by Noah Davis, on behalf of Glen Ditchfield.
Committed on 06/10/2020 at 21:30.
Pushed by ndavis into branch 'master'.

Add task-recurring and appointment-recurring icons

KOrganizer uses these icons, which are missing from Breeze.  In Oxygen,
they are implemented as symbolic links, and this patch takes the same
approach.

This patch does not provide size-32 icons.  Would such icons be visible
anywhere?
Related: bug 418920, bug 397989, bug 392533

A  +1    -0    icons-dark/status/16/appointment-reminder.svg
A  +1    -0    icons-dark/status/16/task-reminder.svg
A  +1    -0    icons-dark/status/22/appointment-reminder.svg
A  +1    -0    icons-dark/status/22/task-reminder.svg
A  +1    -0    icons/status/16/appointment-reminder.svg
A  +1    -0    icons/status/16/task-reminder.svg
A  +1    -0    icons/status/22/appointment-reminder.svg
A  +1    -0    icons/status/22/task-reminder.svg

https://invent.kde.org/frameworks/breeze-icons/commit/a7951945863a42225f8a8035dfa65135280cf61a
Comment 3 Noah Davis 2020-10-06 22:35:12 UTC
whoops, the author of this commit must have added the wrong bug
Comment 4 gjditchfield 2020-10-07 00:25:20 UTC
(In reply to Noah Davis from comment #3)
> whoops, the author of this commit must have added the wrong bug

Yep.
Comment 5 Bug Janitor Service 2022-06-23 09:05:47 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1867
Comment 6 Nate Graham 2022-06-23 17:37:58 UTC
Git commit 87089f60040ecb6b3d892832882cc779aeab7c21 by Nate Graham, on behalf of Felipe Kinoshita.
Committed on 23/06/2022 at 17:37.
Pushed by ngraham into branch 'master'.

applets/clipboard: Use less messy character for text preview
FIXED-IN: 5.26

M  +1    -1    applets/clipboard/contents/ui/TextItemDelegate.qml

https://invent.kde.org/plasma/plasma-workspace/commit/87089f60040ecb6b3d892832882cc779aeab7c21